import request from '@/utils/request'

// 分页查询承运价格信息列表
export function pageListPrice(query) {
  return request({
    url: '/order/price/pageList',
    method: 'get',
    params: query
  })
}

// 查询承运价格信息列表
export function listPrice(query) {
  return request({
    url: '/order/price/list',
    method: 'get',
    params: query
  })
}

// 查询承运价格信息详细
export function getPrice(ID) {
  return request({
    url: '/order/price/' + ID,
    method: 'get'
  })
}

// 新增承运价格信息
export function addPrice(data) {
  return request({
    url: '/order/price',
    method: 'post',
    data: data
  })
}

// 修改承运价格信息
export function updatePrice(data) {
  return request({
    url: '/order/price',
    method: 'put',
    data: data
  })
}

// 删除承运价格信息
export function delPrice(ID) {
  return request({
    url: '/order/price/' + ID,
    method: 'delete'
  })
}

// 导出承运价格信息
export function exportPrice(query) {
  return request({
    url: '/order/price/' + 'export',
    method: 'post',
    params: query
  })
}
